//-------------------------------------
//                 Terrain
//-------------------------------------

textures/Ex_terrain/rockwalls_alpha
{
	qer_editorimage textures/Ex_terrain/ter_rock22_emb.tga //alpha channel
	q3map_nonplanar
	q3map_shadeangle 90
	surfaceparm nodamage
	{
		map textures/Ex_terrain/ter_bartext.tga // primary
		rgbGen identity
	}
	{
		map textures/Ex_terrain/ter_rock22_emb.tga // secondary
		blendFunc blend
		alphaFunc gt0
		rgbGen identity
		alphaGen vertex
	
	}
	{
		map $lightmap
		blendFunc filter
		rgbGen identity
	}
}
textures/Ex_terrain/ter_rock2_bar
{
	qer_editorimage textures/Ex_terrain/ter_rock2.tga //alpha channel
	q3map_nonplanar
	q3map_shadeangle 90
	surfaceparm nodamage
	{
		map textures/Ex_terrain/ter_bartext.tga // primary
		rgbGen identity
	}
	{
		map textures/Ex_terrain/ter_rock2.tga // secondary
		blendFunc blend
		alphaFunc gt0
		rgbGen identity
		alphaGen vertex
	
	}
	{
		map $lightmap
		blendFunc filter
		rgbGen identity
	}
}
textures/Ex_terrain/rockwalls_vine
{
	qer_editorimage textures/Ex_terrain/ter_rock2vine.tga //alpha channel
	q3map_nonplanar
	q3map_shadeangle 90
	surfaceparm nodamage
	{
		map textures/Ex_terrain/ter_rock2vine.tga // primary
		rgbGen identity
	}
	{
		map textures/Ex_terrain/ter_rock22_emb.tga // secondary
		blendFunc blend
		alphaFunc gt0
		rgbGen identity
		alphaGen vertex
	
	}
	{
		map $lightmap
		blendFunc filter
		rgbGen identity
	}
}

textures/Ex_terrain/ter_rock2_wood
{
	qer_editorimage textures/Ex_terrain/ter_rock2.tga //alpha channel
	q3map_nonplanar
	q3map_shadeangle 90
	surfaceparm nodamage
	{
		map textures/Ex_terrain/ter_wood.tga // primary
		rgbGen identity
	}
	{
		map textures/Ex_terrain/ter_rock2.tga // secondary
		blendFunc blend
		alphaFunc gt0
		rgbGen identity
		alphaGen vertex
	
	}
	{
		map $lightmap
		blendFunc filter
		rgbGen identity
	}
}

textures/Ex_terrain/ter_rock2_emb
{
	qer_editorimage textures/Ex_terrain/ter_rock22_emb.tga //alpha channel
	q3map_nonplanar
	q3map_shadeangle 90
	surfaceparm nodamage
	{
		map textures/Ex_terrain/ter_rock22_emb.tga // primary
		rgbGen identity
	}
	{
		map textures/Ex_terrain/ter_rock2.tga // secondary
		blendFunc blend
		alphaFunc gt0
		rgbGen identity
		alphaGen vertex
	
	}
	{
		map $lightmap
		blendFunc filter
		rgbGen identity
	}
}

textures/Ex_terrain/ter_rock2_brick_wood
{
	qer_editorimage textures/Ex_terrain/ter_rock2_brick.tga //alpha channel
	q3map_nonplanar
	q3map_shadeangle 90
	surfaceparm nodamage
	{
		map textures/Ex_terrain/ter_wood.tga // primary
		rgbGen identity
	}
	{
		map textures/Ex_terrain/ter_rock2_brick.tga // secondary
		blendFunc blend
		alphaFunc gt0
		rgbGen identity
		alphaGen vertex
	
	}
	{
		map $lightmap
		blendFunc filter
		rgbGen identity
	}
}


textures/Ex_terrain/ter_rock2
{
	q3map_nonplanar
	q3map_shadeangle 120
	surfaceparm nodamage
        qer_editorimage textures/Ex_terrain/ter_rock2.tga
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/Ex_terrain/ter_rock2.tga
		blendFunc filter
	}
}


textures/Ex_terrain/rock2_vine
{
	qer_editorimage textures/Ex_terrain/ter_rock2vine.tga //alpha channel
	q3map_nonplanar
	q3map_shadeangle 90
	surfaceparm nodamage
	{
		map textures/Ex_terrain/ter_rock2vine.tga // primary
		rgbGen identity
	}
	{
		map textures/Ex_terrain/ter_rock2.tga // secondary
		blendFunc blend
		alphaFunc gt0
		rgbGen identity
		alphaGen vertex
	
	}
	{
		map $lightmap
		blendFunc filter
		rgbGen identity
	}
}



textures/Ex_terrain/alpha_000	// Primary texture ONLY
{
	q3map_alphaMod volume
	q3map_alphaMod set 0
	surfaceparm nodraw
	surfaceparm nonsolid
	surfaceparm trans
	qer_trans 0.75
}
//-------------------------------------
//           Foliage
//-------------------------------------

textures/Ex_lights/vine07
{
qer_editorimage textures/Ex_lights/vine07.tga
	cull none
	
	q3map_vertexScale 1.5
	q3map_surfacelight 50
	surfaceparm alphashadow
	surfaceparm detail
        surfaceparm nonsolid
	surfaceparm trans
	surfaceparm nodlight
	nopicmip
	deformVertexes wave 9 sin 0 1 0 .4
	{
		map textures/Ex_lights/vine07.tga
		alphaFunc GE128
		rgbGen vertex
	}
}
textures/Ex_lights/vine06
{
qer_editorimage textures/Ex_lights/vine06.tga
	cull none
	q3map_surfacelight 50
	q3map_lightRGB 0 1 0
	q3map_vertexScale 1.5
	surfaceparm alphashadow
	surfaceparm detail
        surfaceparm nonsolid
	surfaceparm trans
	surfaceparm nodlight
	nopicmip
	deformVertexes wave 9 sin 0 1 0 .4
	{
		map textures/Ex_lights/vine06.tga
		alphaFunc GE128
		rgbGen vertex
	}
}
textures/Ex_lights/ex_cinder
{
	qer_editorimage textures/Ex_lights/ex_cinder.tga
	surfaceparm metalsteps
	surfaceparm trans
	surfaceparm alphashadow
	surfaceparm playerclip
	surfaceparm nonsolid
	surfaceparm nomarks
	cull none
	nopicmip

	{
		map textures/Ex_lights/ex_cinder.tga
		blendFunc GL_ONE GL_ZERO
		alphaFunc GE128
		depthWrite
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
}

//Water from ut4_heroic
textures/Ex_text/waterheroic
{
	qer_editorimage textures/Ex_text/her1.jpg
	qer_trans .5
	q3map_globaltexture
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm water
	cull disable
	deformVertexes wave 64 sin .5 .5 0 .5	
	{ 
		map textures/Ex_text/her2.jpg
		blendFunc GL_dst_color GL_one
		rgbgen identity
		tcmod scale .25 .25
		tcmod transform 1.5 0 1.5 1 1 2
		tcmod scroll -.05 .001
	}
	{ 
		map textures/Ex_text/her3.jpg
		blendFunc GL_dst_color GL_one
		rgbgen identity
		tcmod scale .25 .25
		tcmod transform 0 1.5 1 1.5 2 1
		tcmod scroll .025 -.001
	}
	{ 
		map textures/Ex_text/her1.jpg
		blendFunc GL_dst_color GL_one
		rgbgen identity
		tcmod scale .25 .25
		tcmod scroll .001 .025
	}	
	{
		map $lightmap
		blendFunc GL_dst_color GL_zero
		rgbgen identity		
	}
}
